Tech > PidginTips

Pidgin Tips

Building Pidgin (Linux)

This build was done on Debian 5.0 (Lenny) and Pidgin version 2.7.5

-- Frank Dean - 6 Nov 2010

Uninstall any pidgin or libpurple packages. The following command will list potential candidates:

   $ aptitude search '~d(pidgin|libpurple)' | egrep '^i'

Install the following packages:

   $ sudo aptitude install gettext libglib2.0-dev libgtk2.0-dev libxml2-dev libxml-perl libperl-dev

also the following optional ones:

libgnutls28-dev libgtkspell-dev libxss-dev libstartup-notification0-dev \
libgstreamer0.10-dev tcl-dev tk-dev libmeanwhile-dev libavahi-glib-dev \
libdbus-glib-1-dev network-manager-dev libidn11-dev libavahi-client-dev \
libgtkspell-dev

Run configure, make and make install:

   $ ./configure --disable-vv
   $ make
   $ sudo make install
   $ sudo ldconfig

Trouble-Shooting

Unable to validate certificate

See:

Fails to connect even though network is available

If NetworkManager is being used but not managing the active interface, Pidgin may not attempt connections. Try running Pidgin with the -f, --force-online option.

  $ pidgin -f

References

-- Frank Dean - 14 Jan 2010